*{
    margin:0;
    padding:0;
    box-sizing:border-box;
    scroll-behavior:smooth;
}
body{
    font-family:'Poppins',sans-serif;
    background:#050816;
    color:white;
    overflow-x:hidden;
}
nav{
    width:100%;
    display:flex;
    justify-content:space-between;
    align-items:center;
    padding:15px 5%;
    position:fixed;
    top:0;
    z-index:1000;
    background:rgba(0,0,0,0.45);
    backdrop-filter:blur(12px);
}

.logo{
    display:flex;
    align-items:center;
    justify-content:center;
    min-width:55px;
}
.logo img{
    width:45px;
    height:45px;
    border-radius:50%;
    object-fit:cover;
    border:2px solid rgba(9, 4, 39, 0.5);
    transition:0.4s;
}
.logo img:hover{
    transform:scale(1.08);
    box-shadow:0 0 20px rgba(22, 18, 14, 0.4);
}
.logo span{
    margin-left: 5px;
}

/* RESPONSIVE */
@media(max-width:768px){
    .logo img{
        width:40px;
        height:40px;
    }
}

.nav-links{
    display:flex;
    gap: 25px;
    list-style:none;
}
.nav-links a{
    text-decoration:none;
    color:white;
    transition:0.3s;
}
.nav-links a:hover{
    color:#f7931a;
}
.btn-nav{
    text-decoration:none;
    background:#f7931a;
    color:white;
    padding:12px 22px;
    border-radius:40px;
    font-weight:600;
    transition:0.3s;
}
.btn-nav:hover{
    transform:scale(1.08);
    box-shadow:0 0 20px #f7931a;
}




.hero{
    min-height:100vh;
    background:linear-gradient(rgba(0, 0, 0, 0.712),rgba(0,0,0,0.7)),
    url('https://i.postimg.cc/vHLXJH21/michael-ali-d-Pu-MBIbv-DCg-unsplash.jpg');
    background-size:cover;
    background-position:center;
    display:flex;
    justify-content:center;
    align-items:center;
    text-align:center;
    padding:0 2%;
    position:relative;
}
.hero-content{
    max-width:900px;
    z-index:2;
    margin-bottom: 3rem;
}
.hero-content h1{
    font-size:65px;
    line-height:1.5;
    margin-bottom:25px;
}
.hero-content p{
    font-size:20px;
    line-height:1.6;
    margin-bottom:40px;
    color:#dddddd;
}
.hero-buttons{
    display:flex;
    justify-content:center;
    gap:20px;
    flex-wrap:wrap;
}
.btn-primary,
.btn-secondary{
    text-decoration:none;
    padding:16px 32px;
    border-radius:50px;
    font-weight:600;
    transition:0.4s;
}
.btn-primary{
    background:#f7931a;
    color:white;
}
.btn-secondary{
    border:2px solid #f7931a;
    color:#f7931a;
}

.btn-primary:hover,
.btn-secondary:hover{
    transform:translateY(-6px);
    box-shadow:0 0 30px rgba(247, 148, 26, 0.788);
}


.bitcoin-animation span{
    position:absolute;
    font-size:40px;
    color:#f7931a;
    opacity:0.3;
    animation:float 8s linear infinite;
}
.bitcoin-animation span:nth-child(1){
    left:10%;
    animation-delay:0s;
}
.bitcoin-animation span:nth-child(2){
    left:30%;
    animation-delay:2s;
}
.bitcoin-animation span:nth-child(3){
    left:60%;
    animation-delay:4s;
}
.bitcoin-animation span:nth-child(4){
    left:80%;
    animation-delay:6s;
}

@keyframes float{
    0%{
        transform:translateY(100vh) rotate(0deg);
    }

    100%{
        transform:translateY(-100vh) rotate(360deg);
    }
}





/* MOBILE */
@media(max-width:900px){
    nav{
        flex-direction:column;
        gap:15px;
    }
    .nav-links{
        flex-wrap:wrap;
        justify-content:center;
    }
    .hero-content h1{
        font-size:42px;
    }
    .hero-content p{
        font-size:18px;
    }
    .about-container{
        grid-template-columns:1fr;
    }
    .section-title h2{
        font-size:34px;
    }
    .vision-content h2,
    .don-container h2{
        font-size:36px;
    }
}











/* =========================
   PAGE
========================= */

.payment-page{
    min-height:100%;
    padding:220px 20px 80px;
    position:relative;
    overflow:hidden;
    margin-top: -15rem;
}
.container{
    width:100%;
    max-width:850px;
    margin:auto;
    position:relative;
    z-index:2;
}

/* =========================
   CARDS
========================= */

.payment-card,
.contact-card{
    width:100%;
    background:rgba(255,255,255,0.05);
    border:1px solid rgba(255,255,255,0.08);
    backdrop-filter:blur(12px);
    border-radius:25px;
    padding:35px;
    margin-bottom:30px;
    box-shadow:0 0 30px rgba(0,0,0,0.3);
}

.payment-header{
    margin-bottom:20px;
}

.payment-card a{
    color:#cfd8e4;
}

.payment-header h2{
    color:#f7931a;
    font-size:30px;
    word-break:break-word;
}

.wallet-address{
    background:#0f172a;
    padding:20px;
    border-radius:15px;
    margin-bottom:25px;
    word-break:break-word;
    font-size:17px;
    border:1px solid rgba(255,255,255,0.08);
}

/* =========================
   BUTTONS
========================= */

.button-group{
    display:flex;
    gap:15px;
    flex-wrap:wrap;
}

button,
.paypal-btn{
    border:none;
    outline:none;
    padding:16px 28px;
    border-radius:50px;
    cursor:pointer;
    font-size:16px;
    font-weight:600;
    transition:0.4s;
    text-decoration:none;
    display:inline-flex;
    justify-content:center;
    align-items:center;
}
button{
    background:#f7931a;
    color:white;
}
button:hover,
.paypal-btn:hover{
    transform:translateY(-5px);
}

/* =========================
   SPECIAL CARDS
========================= */

.lightning-card{
    border:1px solid rgba(255,174,0,0.3);
    box-shadow:0 0 35px rgba(255,174,0,0.15);
}
.paypal-card{
    border:1px solid rgba(0,87,255,0.3);
}
.paypal-header{
    display:flex;
    align-items:center;
    gap:15px;
    flex-wrap:wrap;
}
.paypal-header img{
    width:60px;
}
.paypal-text{
    color:#cccccc;
    margin-bottom:25px;
}
.paypal-btn{
    background:#0070ba;
    color:white;
}


/* =========================
   STRIPE CARD
========================= */

.stripe-card{
    border:1px solid rgba(99,91,255,0.3);
}
.stripe-header{
    display:flex;
    align-items:center;
    gap:15px;
    flex-wrap:wrap;
}
.stripe-header img{
    width:60px;
}
.stripe-card a{
    text-decoration: none;
    padding: 15px;
    font-weight: 500;
    border-radius: 25px;
}
.stripe-text{
    color:#cccccc;
    margin-bottom:25px;
}
.stripe-btn{
    background:#635bff;
    color:white;
}
.stripe-btn:hover{
    transform:translateY(-5px);
    box-shadow:0 0 25px rgba(99,91,255,0.4);
}







/* =========================
   BIO PRODUCTS
========================= */
.bio-products{
    width:100%;
    padding:100px 5%;
    position:relative;
    margin-top:-5rem;
    overflow:hidden;
}

.products-title{
    text-align:center;
    margin-bottom:60px;
}

.products-title h2{
    font-size:48px;
    color:#f7931a;
    margin-bottom:20px;
}

.products-title p{
    color:#cccccc;
    max-width:750px;
    margin:auto;
    line-height:1.8;
}
.products-grid{
    width:100%;
    max-width:1300px;
    margin:auto;
    display:grid;
    grid-template-columns:
    repeat(auto-fit,minmax(300px,1fr));
    gap:30px;
    align-items:stretch;
}

/* CARD */
.product-card{
    width:100%;
    max-width:100%;
    background:rgba(255,255,255,0.05);
    border:1px solid rgba(255,255,255,0.08);
    border-radius:30px;
    overflow:hidden;
    backdrop-filter:blur(12px);
    transition:0.4s;
}

.product-card:hover{
    transform:translateY(-8px);
    box-shadow:0 0 30px rgba(247,147,26,0.15);
}

/* IMAGE */

.product-card img{
    width:100%;
    height:250px;
    object-fit:cover;
}

/* CONTENT */

.product-content{
    padding:25px;
}

.product-content h3{
    font-size:28px;
    margin-bottom:12px;
}

.stock{
    display:inline-block;
    background:rgba(247,147,26,0.15);
    color:#f7931a;
    padding:8px 14px;
    border-radius:50px;
    font-size:14px;
    margin-bottom:20px;
}

.product-content p{
    color:#cccccc;
    line-height:1.8;
    margin-bottom:30px;
}

/* BOTTOM */
.product-bottom{
    display:flex;
    flex-wrap:wrap;
    align-items:center;
    gap:12px;
}

.price{
    font-size:30px;
    font-weight:700;
    color:#f7931a;
    flex-basis:100%;
}

/* BUTTON */

.buy-btn{
    text-decoration:none;
    background:#f7931a;
    color:white;
    padding:14px 24px;
    border-radius:50px;
    font-weight:600;
    transition:0.4s;
}

.buy-btn:hover{
    transform:translateY(-4px);
    box-shadow:0 0 25px rgba(247,147,26,0.4);
}

/* MOBILE */
@media(max-width:768px){

    .bio-products{
        padding:80px 20px;
    }
    .products-title h2{
        font-size:36px;
    }
    .products-grid{
        grid-template-columns:1fr;
    }
    .product-card{
        width:100%;
    }
    .product-content{
        padding:25px;
    }
    .product-bottom{
        flex-direction:column;
        align-items:stretch;
    }
    .buy-btn{
        width:100%;
        text-align:center;
    }
    .price{
        text-align:center;
        width:100%;
    }

}

@media(max-width:768px){
    .bio-products{
        padding:60px 10px;
    }
    .products-grid{
        grid-template-columns:1fr;
        width:100%;
    }
    .product-card{
        width:100%;
    }
}


/* =========================
   FAQ SECTION
========================= */

.bio-faq{
    padding:100px 20px;
    position:relative;
    margin-top: -8rem;
}
.faq-title{
    text-align:center;
    margin-bottom:60px;
}
.faq-title h2{
    font-size:20px;
    color:#f7931a;
    margin-bottom:20px;
}

.faq-title p{
    color:#cccccc;
    max-width:750px;
    margin:auto;
    line-height:1.9;
}

.faq-container{
    max-width:1000px;
    margin:auto;
}

/* FAQ CARD */

.faq-card{
    background:rgba(255,255,255,0.05);
    border:1px solid rgba(255,255,255,0.08);
    border-radius:25px;
    margin-bottom:25px;
    overflow:hidden;
    backdrop-filter:blur(12px);
    transition:0.4s;
}
.faq-card:hover{
    transform:translateY(-4px);
    box-shadow:0 0 30px rgba(247,147,26,0.12);
}
/* SUMMARY */
.faq-card summary{
    list-style:none;
    cursor:pointer;
    padding:28px;
    display:flex;
    justify-content:space-between;
    align-items:center;
    gap:20px;
}
.faq-card summary::-webkit-details-marker{
    display:none;
}
/* LEFT */

.faq-left{
    display:flex;
    align-items:center;
    gap:22px;
}

.faq-number{
    min-width:65px;
    width:65px;
    height:65px;
    border-radius:50%;
    background:#f7931a;
    display:flex;
    justify-content:center;
    align-items:center;
    font-size:22px;
    font-weight:600;
    color:white;
}

.faq-left h3{
    font-size:20px;
    line-height:1.5;
}

/* ICON */

.faq-icon{
    font-size:34px;
    color:#f7931a;
    transition:0.4s;
}

details[open] .faq-icon{
    transform:rotate(45deg);
}

/* CONTENT */

.faq-content{
    padding:0 30px 30px 30px;
    animation:faqFade 0.4s ease;
}
.faq-content p{
    color:#d6d6d6;
    line-height:1.9;
    font-size:16px;
}

/* ANIMATION */

@keyframes faqFade{
    from{
        opacity:0;
        transform:translateY(10px);
    }
    to{
        opacity:1;
        transform:translateY(0);
    }
}

/* MOBILE */

@media(max-width:768px){

    .faq-title h2{
        font-size:36px;
    }

    .faq-card summary{
        flex-direction:column;
        align-items:flex-start;
    }
    .faq-left{
        align-items:flex-start;
    }
    .faq-left h3{
        font-size:18px;
    }
    .faq-content{
        padding:0 20px 25px 20px;
    }
}




/* =========================
   BITCOIN BG
========================= */

.background-bitcoins{
    position:absolute;
    inset:0;
    overflow:hidden;
    pointer-events:none;
}

.background-bitcoins span{
    position:absolute;
    color:#f7931a;
    opacity:0.08;
    font-size:60px;
    animation:float 10s linear infinite;
}
.background-bitcoins span:nth-child(1){
    left:10%;
    animation-delay:0s;
}
.background-bitcoins span:nth-child(2){
    left:25%;
    animation-delay:2s;
}
.background-bitcoins span:nth-child(3){
    left:50%;
    animation-delay:4s;
}
.background-bitcoins span:nth-child(4){
    left:75%;
    animation-delay:6s;
}
.background-bitcoins span:nth-child(5){
    left:90%;
    animation-delay:8s;
}
/* =========================
   ANIMATION
========================= */

@keyframes float{
    0%{
        transform:translateY(100vh) rotate(0deg);
    }
    100%{
        transform:translateY(-120vh) rotate(360deg);
    }
}

/* =========================
   MOBILE NAVBAR
========================= */

@media(max-width:900px){
    nav{
     flex-direction:column;

        gap:18px;
        padding:18px;
    }
    .nav-links{
        flex-wrap:wrap;
        justify-content:center;
        gap:18px;
        margin:0;
    }
    .nav-links a{
        font-size:15px;
    }
    .btn-nav{
        width:auto;
    }
    .payment-page{
        padding-top:240px;
    }
    h1{
        font-size:38px;
    }
    .payment-header h2{
        font-size:24px;
    }

    .button-group{
        flex-direction:column;
    }

    .payment-card,
    .contact-card{
        padding:25px;
    }

    textarea{
        min-height:250px;
    }

}











.bio-footer{
    margin-top:-5rem;
    background:#10162d;
    border-top:1px solid rgba(182, 184, 201, 0.15);
    position:relative;
    overflow:hidden;
}
.footer-container{
    max-width:1200px;
    margin:auto;
    padding:70px 20px 40px;
}
.footer-logo{
    text-align:center;
    margin-bottom:50px;
}
.footer-logo h2{
    font-size:42px;
    color:#f7931a;
    margin-bottom:15px;
}
.footer-logo p{
    color:#dfdddd;
    max-width:650px;
    margin:auto;
    line-height:1.9;
}
.footer-socials{
    display:grid;
    grid-template-columns:repeat(auto-fit,minmax(220px,1fr));
    gap:20px;
    margin-bottom:50px;
}
.social-link{
    background:rgba(255,255,255,0.04);
    border:1px solid rgba(109, 105, 105, 0.08);
    border-radius:20px;
    padding:18px;
    display:flex;
    align-items:center;
    gap:15px;
    text-decoration:none;
    color:rgb(206, 205, 205);
    transition:0.4s;
    backdrop-filter:blur(10px);
}
.social-link:hover{
    transform:translateY(-6px);
    border-color:#f7931a;
    box-shadow:0 0 25px rgba(247,147,26,0.2);
    color:rgb(255, 255, 255);
}
.social-link img{
    width:38px;
    height:38px;
    object-fit:contain;
}
.social-link span{
    font-size:16px;
    font-weight:500;
}
.footer-bottom{
    text-align:center;
    padding-top:30px;
    border-top:1px solid rgba(255,255,255,0.08);
}
.footer-bottom p{
    color:#888888;
    font-size:15px;
}
.footer-bottom a{
    color:#f8f7f7;
    font-size:15px;
}
/* HOVER COLORS */
.twitter:hover{
    background:rgba(29,161,242,0.12);
}
.telegram:hover{
    background:rgba(0,136,204,0.12);
}
.discord:hover{
    background:rgba(88,101,242,0.12);
}
.github:hover{
    background:rgba(255,255,255,0.06);
}
.instagram:hover{
    background:rgba(225,48,108,0.12);
}
.youtube:hover{
    background:rgba(255,0,0,0.12);
}
.linkedin:hover{
    background:rgba(0,119,181,0.12);
}
.website:hover{
    background:rgba(255, 255, 255, 0.685);
}
.bluesky:hover{
    background:rgba(0,133,255,0.12);
}
.bluesky img{
    background:white;
    border-radius:50%;
    padding:4px;
}
/* RESPONSIVE */
@media(max-width:768px){
    .footer-logo h2{
        font-size:34px;
    }
    .footer-socials{
        grid-template-columns:1fr;
    }
    .social-link{
        justify-content:flex-start;
    }
}










.toast{
position:fixed;

top:25px;
right:25px;

width:330px;

backdrop-filter:blur(16px);

background:
rgba(18,18,18,.75);

border:
1px solid rgba(255,255,255,.12);

border-radius:18px;

padding:18px;

color:white;

opacity:0;

transform:
translateX(130%);

transition:
all .45s ease;

overflow:hidden;

z-index:99999;

box-shadow:
0 20px 60px rgba(0,0,0,.35);
}

.toast.show{
opacity:1;

transform:
translateX(0);
}

.toast-content{
display:flex;

align-items:center;

gap:15px;
}

.toast-icon{

width:50px;

height:50px;

border-radius:50%;

display:flex;

justify-content:center;

align-items:center;

font-size:24px;

font-weight:bold;

animation:
pulse .8s ease;
}

.toast-text{

display:flex;

flex-direction:column;
}

#toastTitle{

font-size:16px;

font-weight:700;
}

#toastMessage{

font-size:14px;

opacity:.85;

margin-top:3px;
}

.toast-progress{

position:absolute;

bottom:0;

left:0;

height:4px;

width:100%;

transform-origin:left;
}

.toast.btc .toast-icon{
background:#f7931a;
}

.toast.btc .toast-progress{
background:#f7931a;
animation:
timer 3s linear forwards;
}

.toast.ln .toast-icon{
background:#ffe600;

color:#000;
}

.toast.ln .toast-progress{
background:#ffe600;

animation:
timer 3s linear forwards;
}

.toast.error .toast-icon{
background:#ff3b30;
}

.toast.error .toast-progress{
background:#ff3b30;

animation:
timer 3s linear forwards;
}

@keyframes timer{

from{
transform:scaleX(1);
}

to{
transform:scaleX(0);
}

}

@keyframes pulse{

0%{
transform:scale(.5);
}

70%{
transform:scale(1.15);
}

100%{
transform:scale(1);
}

}

@media(max-width:600px){

.toast{

left:15px;

right:15px;

width:auto;

top:15px;

}

}
